Bug 1797065 (CVE-2020-2104) - CVE-2020-2104 jenkins: Memory usage graphs accessible to anyone with Overall/Read
Summary: CVE-2020-2104 jenkins: Memory usage graphs accessible to anyone with Overall/...
Keywords:
Status: NEW
Alias: CVE-2020-2104
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1797066 1797143 1797144 1797146 1813070 1873172
Blocks: 1797089
TreeView+ depends on / blocked
 
Reported: 2020-01-31 20:11 UTC by Pedro Sampaio
Modified: 2020-08-27 14:48 UTC (History)
16 users (show)

Fixed In Version: jenkins 2.219, jenkins LTS 2.204.2
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)

Description Pedro Sampaio 2020-01-31 20:11:55 UTC
Jenkins 2.218 and earlier, LTS 2.204.1 and earlier allowed users with Overall/Read access to view a JVM memory usage chart.

References:

https://jenkins.io/security/advisory/2020-01-29/#SECURITY-1650
http://www.openwall.com/lists/oss-security/2020/01/29/1

Comment 1 Pedro Sampaio 2020-01-31 20:12:34 UTC
Created jenkins tracking bugs for this issue:

Affects: fedora-all [bug 1797066]

Comment 4 Sam Fowler 2020-02-01 02:00:21 UTC
"Any security advisory related updates to Jenkins core or the plugins we include in the OpenShift Jenkins master image will only occur in the v3.11 and v4.x branches of this repository."

https://github.com/openshift/jenkins/blob/master/README.md#jenkins-security-advisories-the-master-image-from-this-repository-and-the-oc-binary

Comment 5 Akram Ben Aissi 2020-03-03 09:06:13 UTC
This bug has been fixed by https://errata.devel.redhat.com/advisory/50532 that brought Jenkins 2.204.2


Note You need to log in before you can comment on or make changes to this bug.